#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
const ll MOD = 1e9+7;
const int N = 1005;
const int INF = 1e6;


int n,k,x,a[N];


int main(){
    ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    cin>>n>>k>>x;

    if(k==0){
        for(int i=1;i<=n;i++)cout<<1<<" ";
        return 0;
    }

    for(int len=1;len<=n-1;len++){
        int p=len*(len-1)/2+len*(n-len);
        if(p==k){
            int pr=1;
            bool ok=true;
            a[1]=pr;
            for(int i=2;i<=len+1;i++){
                a[i]=pr+x;
                pr+=x;
                if(a[i]>INF)ok=false;
            }
            if(!ok)continue;
            for(int i=len+2;i<=n;i++)a[i]=a[i-1];
            for(int i=1;i<=n;i++)cout<<a[i]<<" ";
            return 0;
        }
    }

   /* for(int len=1;len<=n-1;len++){
        for(int t=len+1;t<=n;t++){

        }
    }*/

    cout<<-1;
    return 0;
}